# Total Insider Buy & Sells `GET` `https://api.unusualwhales.com/api/market/insider-buy-sells` Returns the total amount of purchases & sells as well as notional values for insider transactions across the market ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `limit` | Min Limit 1 | No | How many items to return. If no limit is given, returns all matching data. Min: 1. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `filing_date` | Insider Trades Filing Date | The filing date as ISO date. | | `purchases` | Insider Trades Purchases | The amount of purchase transactions. | | `purchases_notional` | Insider Trades Notional Purchases | The total notional value of purchase transactions. | | `sells` | Insider Trades Sells | The amount of sell transactions. | | `sells_notional` | Insider Trades Notional Sells | The total notional value of sell transactions. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/market/insider-buy-sells" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/market/insider-buy-sells", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "filing_date": "2023-12-13", "purchases": 12, "purchases_notional": "14317122.490", "sells": 10, "sells_notional": "-1291692.4942" }, { "filing_date": "2023-12-12", "purchases": 78, "purchases_notional": "46598915.1911", "sells": 211, "sells_notional": "-182466466.7165" }, { "filing_date": "2023-12-11", "purchases": 96, "purchases_notional": "431722108.8184", "sells": 210, "sells_notional": "-1058043617.3548" } ] } ```